Botan 1.10.17

Namespaces | Functions
pem.cpp File Reference
`#include <botan/pem.h>`
`#include <botan/filters.h>`
`#include <botan/parsing.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::PEM_Code

## Functions
SecureVector< byte > | Botan::PEM_Code::decode (DataSource &source, std::string &label)
SecureVector< byte > | Botan::PEM_Code::decode_check_label (DataSource &source, const std::string &label_want)
std::string | Botan::PEM_Code::encode (const byte der[], size_t length, const std::string &label, size_t width)
std::string | Botan::PEM_Code::encode (const MemoryRegion< byte > &data, const std::string &label, size_t width)
bool | Botan::PEM_Code::matches (DataSource &source, const std::string &extra, size_t search_range)